// Опишите своими словами, как Вы понимаете, что такое Document Object Model (DOM)
// DOM это структурированный набор всех элементов (узлов) которые есть в html документе, своего рода дерево из элементов
// 

'use strict';

// Создать функцию, которая будет принимать на вход массив и опциональный второй аргумент parent - DOM-элемент, к которому будет прикреплен список (по дефолту должен быть document.body).
// Каждый из элементов массива вывести на страницу в виде пункта списка;
// Используйте шаблонные строки и метод map массива для формирования контента списка перед выведением его на страницу;
// Примеры массивов, которые можно выводить на экран:

// ["hello", "world", "Kiev", "Kharkiv", "Odessa", "Lviv"];
// ["1", "2", "3", "sea", "user", 23];
// Можно взять любой другой массив.
// Необязательные задания продвинутой сложности:
// Добавьте обработку вложенных массивов. Если внутри массива одним из элементов будет еще один массив, выводить его как вложенный список. Пример такого массива:

// ["Kharkiv", "Kiev", ["Borispol", "Irpin"], "Odessa", "Lviv", "Dnieper"];
// Подсказка: используйте map для обхода массива и рекурсию, чтоб обработать вложенные массивы.

// Очистить страницу через 3 секунды. Показывать таймер обратного отсчета (только секунды) перед очищением страницы.


function creatingList(array, target = document.body) {
	const ul = document.createElement(`ul`);

	array.forEach(el => {
		const li = document.createElement('li');
		if (Array.isArray(el)) {
			creatingList(el, li);
		}
		else {
			li.textContent = el;
		};
		ul.append(li);
	});


	target.append(ul);
};

creatingList(["Kharkiv", "Kiev", ["Borispol", "Irpin"], "Odessa", "Lviv", "Dnieper"]);